Uploaded image for project: 'Picard'
  1. Picard
  2. PICARD-1627

Include Mutagen in the MusicBrainz Picard PPA

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Normal
    • Resolution: Done
    • Affects Version/s: 2.2.1
    • Fix Version/s: None
    • Component/s: File Move & Rename
    • Labels:
      None
    • Environment:
      Ubuntu 18.04.3 LTS

      Description

      There are a few users who are experiencing issues following old Mutagen versions. It might be good to include Mutagen in the MusicBrainz Picard PPA to avoid these kind of issues.

       

      ORIGINAL TICKET:

      I edited a file that I'm hosting on my homeserver and accessing it via a samba share. Saving gives the following error(s):

       

      E: 18:34:18,307 /usr/lib/picard/picard/util/thread.run:56: Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/mutagen/_util.py", line 218, in _openfile
      fileobj = open(filename, "rb+" if writable else "rb")
      OSError: [Errno 95] Operation not supported: b'/run/user/1000/gvfs/smb-share:server=192.168.2.12,share=plexmedia/MUZIEK/JAMENDO/Ay - 14ice/What Should I Do/01 - Ay - 14ice - Ay-14ice What Should I Do (Radio Editon).mp3'
       
      During handling of the above exception, another exception occurred:
       
      Traceback (most recent call last):
      File "/usr/lib/picard/picard/util/thread.py", line 52, in run
      result = self.func()
      File "/usr/lib/picard/picard/file.py", line 268, in _save_and_rename
      save()
      File "/usr/lib/picard/picard/formats/id3.py", line 509, in _save
      self._save_tags(tags, encode_filename(filename))
      File "/usr/lib/picard/picard/formats/id3.py", line 615, in _save_tags
      tags.save(filename, v2_version=3, v1=v1, v23_sep=separator)
      File "/usr/lib/python3/dist-packages/mutagen/_util.py", line 158, in wrapper
      return func(*args, **kwargs)
      File "/usr/lib/python3/dist-packages/mutagen/_util.py", line 128, in wrapper
      writable, create) as h:
      File "/usr/lib/python3.6/contextlib.py", line 81, in __enter__
      return next(self.gen)
      File "/usr/lib/python3/dist-packages/mutagen/_util.py", line 227, in _openfile
      raise MutagenError(e)
      mutagen.MutagenError: [Errno 95] Operation not supported: b'/run/user/1000/gvfs/smb-share:server=192.168.2.12,share=plexmedia/MUZIEK/JAMENDO/Ay - 14ice/What Should I Do/01 - Ay - 14ice - Ay-14ice What Should I Do (Radio Editon).mp3'
      

       

      (Seems similar https://tickets.metabrainz.org/browse/PICARD-1116 but that one's been closed)

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                outsidecontext Philipp Wolfer
                Reporter:
                keunes Keunes
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Packages

                  Version Package